Uploads a logo for an organization.
curl --request PUT \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/logo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/logo"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"fileType": "<string>",
"md5": "<string>",
"mimetype": "<string>",
"name": "<string>",
"region": "<string>",
"size": 123,
"url": "<string>",
"pages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimetype": "<string>",
"number": 123,
"size": 123,
"url": "<string>"
}
],
"previews": [
{
"height": 123,
"url": "<string>",
"width": 123
}
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Identity
Uploads a logo for an organization.
Requires the org:write:all scope.
Token types: APP, USER | Required scopes: org:write:all
PUT
/
identity
/
v1
/
organizations
/
{organizationId}
/
logo
Uploads a logo for an organization.
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The organization ID.
Body
multipart/form-data
Response
Returns the uploaded logo file metadata.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I